<%--
 * Component: cases
 *
 * Description:
 *    Listing and manipulating user folders
 *
 * Last Updated     : $Author$
 * Update Date Time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
 *
--%><%@
  page errorPage ="../main/exceptionHandler.jsp"

%><%@

  page import="imagemed.imsession.*,imagemed.util.*, imagemed.jsputil.*,imagemed.tables.*"

%><%!
	static String thisPage = "/cases/forgotPassword.jsp";
%><%
  IMSession is = new IMSession(request, response, out); 
  is.bRegNotNeeded = true;
  if (!is.regOK()) {
    return;
  }
  String parOp = request.getParameter( "cOp" );
  String parUser = request.getParameter( "cUser" );
  String parCode = request.getParameter( "cCode" );

%>
<%@page import="java.sql.Statement"%>
<%@page import="java.sql.ResultSet"%>
<%@page import="java.util.GregorianCalendar"%>
<%@page import="imagemed.types.date.IMTypeDA_TM"%>
<%@page import="imagemed.scheduler.SchedulerInterface"%>
<%@page import="java.util.Random"%>
<%@page import="imagemed.actions.DcNotify"%>
<%@page import="java.util.Calendar"%><HTML><HEAD><TITLE>Create Password</TITLE><%
  Table.printCommonScript(is);
	JSHelper.printJsInclude( out, JSHelper.PASSWD_JS );
%>
</HEAD>
<BODY TEXT="#000000"<%Helper.writeBodyFix(is);%>>
<%
	boolean isValid = true;
	boolean isExpired = false;
	boolean invalidChange = false;
	String invalidMessage = "";
	
	if( "change".equals( parOp ) ) {
		String passwd1 = is.request.getParameter( "qn_PW1" );
		String passwd2 = is.request.getParameter( "qn_PW2" );

		if ( passwd1 == null || "".equals( passwd1 )  ) {
			invalidChange = true;
			invalidMessage = "No password was given.";
		}
		else if ( !passwd1.equals( passwd2 ) ) {
			invalidChange = true;
			invalidMessage = "The second password typed doesn't match the first one.";
		}
		else {
			try {
				PasswordToolbox.checkNewPassword( passwd1 );
			}
			catch ( Throwable th ) {
				invalidChange = true;
				invalidMessage = th.getMessage();
			}
		}

		if( !invalidChange ) {
			Statement st = IMEnv.getDB().createStatement();
			String update = "update " + IMEnvBase.getEnv( "ACCESSTBL" ) +
				" set CODEFORPW='', PASSWD='" + Helper.encodePwd( passwd1 ) + "',VERSION=VERSION+1 where USERID='" + Helper.sqlEncode( parUser ) + "'";
			Helper.DEBUG( "createpw update:" + update );
			st.execute( update );
			
			//OK button is useless here, in FF you cannot close a window which you didn't open
			//in IE: window.opener=self; window.close();
%>
<CENTER>
New password succesfully created for <%=Helper.htmlEncode( parUser )%>.<BR>
<%=Helper.htmlEncode( parUser )%> may now login on the main page.<BR>
<A HREF="/main/index.jsp"><%=JSHelper.getJsButton(is, "OK", 0, 0, "OK")%></A>
<%
			st.close();
			return;
		}
	}
	else { 
		if( parUser == null || "".equals( parUser ) || parCode == null || "".equals( parCode ) ) {
			isValid = false;
		}
		else {
			Statement st = IMEnv.getDB().createStatement();
			String query = "select * from " + IMEnvBase.getEnv( "ACCESSTBL" ) + " where USERID='" + Helper.sqlEncode( parUser ) + "' AND CODEFORPW='" + Helper.sqlEncode( parCode ) + "'";
			Helper.DEBUG( "createpw query:" + query );
			ResultSet rs = st.executeQuery( query );
			if( rs.next() ) {
				String datetime = parCode.substring( 0, 15 );
				GregorianCalendar cal = Helper.getCalendarFromDate( datetime );
				cal.add( Calendar.HOUR_OF_DAY, 1 );
				if( cal.before( new GregorianCalendar() ) ) {
					isExpired = true;
				}
			}
			else {
				isValid = false;
			}
			st.close();
		}
	}
	if( !isValid ) {
%>
	<CENTER><SPAN class=FontError>
	Invalid Link
	</SPAN></CENTER>
<%		
	}
	else if( isExpired ) {
%>		
		<CENTER><SPAN class=FontError>
		Sorry, this link is expired, please obtain a new one by clicking 'I forgot my password' on the Main page. 
		</SPAN></CENTER>
<%		
	}
	else {
		int nMax = 14;
		
		//if invalidchange, write it
%>
<CENTER>
<%
		if( invalidChange ) {
%>
<SPAN class=FontError><%=invalidMessage%></SPAN><BR><BR>
<%
		}
%>
	Creating new password for <%=Helper.htmlEncode( parUser )%><BR><BR>
<TABLE border=1 cellpadding=0 cellspacing=0 width="50%">
	<FORM METHOD=POST action="createPassword.jsp?cOp=change" name="editForm">
	<TR>
		<TD class=BgMedDark valign=top><FONT size=2">Password</FONT></TD>
		<TD class=BgShadow>
			<script language="javascript">writePasswordInput("qn_PW1");</script>
		</TD>
	</TR>
	<TR>
		<TD class=BgMedDark valign=top><FONT size=2">Retype&nbsp;Password</FONT></TD>
		<TD class=BgShadow>
			<script language="javascript">writePasswordInput("qn_PW2");</script>
		</TD>
	</TR>
	<TR>
    <TD class=BgMedDark></TD>
    <TD class=BgShadow ALIGN=CENTER>
      <%=JSHelper.getJsInputLocalizedButton(is, "BUTTON_OK", "", "")%>
    </TD>
  </TR>
  <INPUT type="hidden" name="cUser" value="<%=Helper.htmlEncode( parUser )%>" ></INPUT>
	</FORM>
</TABLE>
<%
	}			
%>
</BODY>
</HTML>


