<%--
 * Component: cases
 *
 * Description:
 *   returns an XML that describes series/objects/frames in a study for the platform independent viewer
 *
 * Parameters:
 *
 *  @param cStudy         STYIUID of the study
 *
 * Last Updated     : $Author$
 * Update Date Time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
--%><%@
	page import="imagemed.imsession.*,imagemed.util.*,imagemed.jsputil.*"
%><%IMSession is = new IMSession(request, response, out);

	if (!is.regOK()) {
		response.addHeader( "ERROR", "auth failed" );
		return;
	}
	response.addHeader( "Content-Type", "text/xml" );
	String parStudy = request.getParameter( "cStudy" );
	if ( parStudy == null || "".equals( parStudy ) ) {
		response.addHeader( "ERROR", "cStudy parameter missing" );
		return;
	}

	try {
		out.print( StudyToolbox.getStudyDescriptionXML( parStudy, is.regIP, is.regID ) );
	}
	catch (Throwable th) {
		response.addHeader( "ERROR", Helper.toString( th ) );
	}
	return;%>