<%--
 * Component: cases
 *
 * Description:
 *  Displays long values in a popup window
 *
 *  @param cRowID        Study Instance UID (exclusive with cOrder)
 *  @param cField        ID of the field to be displayed
 *
 * Last Updated     : $Author$
 * Update date/time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
 *
--%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%@
	page import="imagemed.util.*, java.util.*, imagemed.jsputil.*, imagemed.imsession.*,
		imagemed.layout.datasource.*, imagemed.imtables.IMBaseFieldManager, imagemed.types.*"

%><%IMSession is = new IMSession( request, response, out );
	if ( !is.regOK() ) {
		out.println( "You don't have permission to view this page." );
	}
	String[] rowID = is.imRequest.getVals( "cRowID" );
	String field = request.getParameter( "cField" );
	String layoutType = request.getParameter( "cLayoutType" );
	String value;

	if ( layoutType != null && layoutType.length() > 0 ) {
		DBLayoutDataSource dblds = EntryLayoutFactory.getDefaultDBLDS( is, layoutType );
		dblds.setRowID( Arrays.asList(rowID) );
		value = dblds.getValue( field );
	}
	else {
		// study comments
		Properties studyProps = StudyToolbox.getStudyProperties( rowID[0], new String[] { field }, is );
		value = studyProps.getProperty( field );
	}
	
	String dispValue = null;
	
	try {
		dispValue = IMType.getTypeForColid( field ).displayFullFormatted( value );
	}
	catch ( Throwable th ) {
		dispValue = Helper.htmlEncode( value, false, true );
	}%>
<HTML>
<HEAD>
  <TITLE></title>
</head>
<BODY><P>
<%= dispValue %>
</P>
</body>
</html>
