<%--
 ** Component: cases
 **
 ** Description:
 **   registers or re-registers a calculated field
 **   
 **
 ** Parameters: 
 **
 **  @param cColid		the colid of the calc. field
 **  @param	cOper			if 'new' register, if 'delete', unregister, default is re-register
 **
 ** $Author$
 ** $Date$
 **
 *
 *  RCS File Name    : $RCSfile$
 *  RCS Revision     : $Revision$
 *  Locked by        : $Locker$
 *  Symbolic name    : $Name$
 *  State            : $State$
 --%><%@page import="imagemed.imtables.IMBaseFieldManager"%>
<%@

  page import="imagemed.imsession.*, imagemed.util.Helper"

%><%
	IMSession is = new IMSession(request, response, out); 
	// is.setNonCacheable() does not work on IE over HTTPS
	response.setHeader( "Cache-control", "must-revalidate" );

	is.bRegNotNeeded = true;
	if ( !is.regOK() ) {
		return;
	}


	String parColid = is.request.getParameter("cColid");
	boolean isNew = "new".equals( is.request.getParameter("cOper" ) );
	boolean isDelete = "delete".equals( is.request.getParameter("cOper" ) );

	Helper.DEBUG( "runs, colid:" + parColid + " ,new:" + isNew );	

	if( parColid != null ) {
		if( isNew ) {
			IMBaseFieldManager.registerCalcField( parColid );
		}
		else if( isDelete ) {
			IMBaseFieldManager.unRegisterCalcField( parColid );
		}
		else {
			IMBaseFieldManager.reRegisterCalcField( parColid );
		}
	}
	return;
%>