<%--
 * Component: cases
 *
 * Description:
 *  Configure the action for the given studies and run it
 *
 *  @param cGr          Study Instance UIDs 
 *  @param cBack        URL to go back after editing  (goes back to Referer if missing)
 *  @param cAction      Name of the action to run for the studies
 *
 *
 * Last Updated     : $Author$
 * Update date/time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
 *
--%><%@page import="java.text.Format"%>
<%@page import="imagemed.actions.DcActionManager"%>
<%@page import="imagemed.actions.DcAction"%>
<%@
	page import="java.util.*,java.io.*,java.sql.*, imagemed.imsession.*,imagemed.jsputil.*,
			imagemed.util.*,imagemed.types.string.*,imagemed.types.*,
			imagemed.tables.*, imagemed.imtables.*, imagemed.exception.*,imagemed.dcprocessing.EditStudy, imagemed.dicom.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%

	IMSession is = new IMSession( request, response, out );
	if ( !is.regOK() ) {
		return;
	}
	String parBack = request.getParameter( "cBack" );
	if ( null == parBack ) {
		parBack = request.getHeader( "Referer" );
	}
	if ( null == parBack ) {
		parBack = "javascript:self.history.back();";
	}
	
	if ( null == parBack ) {
		parBack = request.getHeader( "Referer" );
	}
	if ( null == parBack ) {
		parBack = "javascript:self.history.back();";
	}

	String[] parStudies = is.imRequest.getVals("cGr");
	String parAction = is.imRequest.getVal("cAction");
	String parOper = is.imRequest.getVal("cOper");
	
	is.setNonCacheable();
	%>

<HTML>
<HEAD><TITLE><%= LocalizedMessage.getSimpleMessage( "CASES_LISTOP" ) %></title>
<%
  	TabToolbox.writeIMpopup(out);
  	imagemed.http.tabs.TabBean.writeStyleOnly(is);
	imagemed.tables.Table.printCommonScript(is);
	JSHelper.printJsInclude( out, JSHelper.LAYOUTSCRIPTS_JS );
%>
	<script language=javascript>
	function doSubmit() {
		form = document.forms[0];
		form.submit();
	}
	</script>
<%
	DcAction[] actions = DcActionManager.getActions();
	for ( int i = 0; i < actions.length; i++ ) {
		if ( actions[ i ].getName().equals( parAction ) ) {
			actions[ i ].initBatch( is.getUser() );
			actions[ i ].printScripts( is );
		}
	}
	
%>	
</HEAD>
<Body>
<CENTER>
<%
  	TabToolbox.makeTabs( is,is.tabbean, "cases/index.jsp", "White");

	if( "Do".equals( parOper ) ) {
		DcAction action = DcActionManager.getActionForName( parAction );
		action.initBatch( is.getUser() );
		action.processBatchInputAndRun( is, is.imRequest.getParTable() );
		out.println( "<h3><center>" + LocalizedMessage.getCompoundMessage( "BATCHACTION_CONFIRMED", new Format[] { null }, new Object[] { parAction }, false ) + "<BR><BR>");
		for( int i = 0; i < parStudies.length; i++ ) {
			out.print( parStudies[ i ] + ( i < parStudies.length - 1 ? ", " : "" ) );
		}
		out.println( "</center></h3>" );
		out.println( "<SCRIPT language=\"JavaScript\"> setTimeout( \"self.document.location='" + parBack + "';\", 3000);</SCRIPT>" );
	}
	else {
%>
<font face="Arial,Helvetica,Universe">
<h3><p>
<FORM id="listopForm" name="operForm" METHOD="POST" ACTION='batchAction.jsp'>
<%
		Format[] msgFormat = new Format[] { null, null };
		Object[] msgObject = new Object[] { parAction, ", studies:" };
		is.out.println( LocalizedMessage.getCompoundMessage( "YOU_ARE_ABOUT_TO", msgFormat, msgObject, true) + "<BR><BR>" );
		if( parStudies != null && parStudies.length > 0 ) {
			for( int i = 0; i < parStudies.length; i++ ) {
				is.out.print( parStudies[ i ] );
				if( i < parStudies.length - 1 ) {
					is.out.print( ", " );
				}
			}
			is.out.print( "<BR><BR>" );
		}
%>
<TABLE border=1 cellpadding=0 cellspacing=0>
<%
		for (int i = 0; i < actions.length; i++) {
			if (actions[i].getName().equals( parAction )) {
				actions[i].initBatch( is.getUser() );
				actions[i].printBatchInput( is );
			}
		}	
%>	
</table>
<%
		// hidden input stuff
		is.out.println( is.imRequest.passAsFormExcept("cOper") );
%>
<input type="hidden" name="cOper" value="Do">
</FORM>
<%
		for ( int i = 0; i < actions.length; i++ ) {
			if ( actions[ i ].getName().equals( parAction ) ) {
				actions[ i ].initBatch( is.getUser() );
				actions[ i ].printExtraButtons( is );
			}
		}
%>
<br>
<a href="javascript:doSubmit()">
	<%= JSHelper.getJsLocalizedButton( "BUTTON_OK", "BUTTON_NULL", false )  %>
</a>
<A href="<%=parBack%>">
	<%= JSHelper.getJsLocalizedButton( "BUTTON_CANCEL", "BUTTON_NULL", false ) %>
</a>
</center>
<%
		/*
		WARNING: printMisc is not used in this case 
		DcDelete is the only one with this method, but it uses m_list
		
		for ( int i = 0; i < actions.length; i++ ) {
			if ( actions[ i ].getName().equals( parAction ) ) {
				actions[ i ].initBatch();
				actions[ i ].printMisc( is );
			}
		}
		*/
	}
%>

</Body>
</HTML>