<%@page import="imagemed.jsputil.ViewSessionProps,
		imagemed.http.tabs.TabBean,
		imagemed.types.string.IMTypePN,
		imagemed.types.IMType,
		imagemed.types.date.IMTypeDA_TM,
		java.text.Format,
		imagemed.dcprocessing.StudyNotes.Note,
		imagemed.util.LocalizedMessage,
		imagemed.util.Helper,
		imagemed.util.JSHelper,
		imagemed.util.Button,
		imagemed.tables.Action,
		imagemed.dcprocessing.StudyNotes,
		imagemed.types.flag.IMTypeur,
		imagemed.imsession.IMSession"

%><%

	IMSession is = new IMSession( request, response, out );
	if ( !is.regOK() ) {
		return;
	}
	boolean isAdmin = is.hasRight( IMTypeur.ADMIN_RIGHT );
	String study = is.imRequest.getVal( "study" );
	if ( study == null || study.length() == 0 ) {
%>
<H1>The required parameter "study" is missing/empty.</H1>
<%
		return;
	}
	
	String oper = is.imRequest.getVal( "cOp" );
	String noteId = is.imRequest.getVal( "noteId" );
	boolean refreshParent = false;
	String vsId = is.COOKIE.getProperty( "ViewSessionID" );
	if ( "add".equals( oper ) ) {
		String text = request.getParameter( "text" );
		String id = StudyNotes.addNote( study, is.regID, text );
		if ( id == null ) {
%>
	<H1>Saving note failed.</H1>
<%
			return;
		}
		if ( vsId != null && vsId.length() > 0 ) {
			ViewSessionProps vsp = ViewSessionProps.readVSP( vsId );
			vsp.getStudyState( study ).addNote( id );
			vsp.saveVSP();
		}
		noteId = id;
		refreshParent = true;
	}
	if ( "delete".equals( oper ) ) {
		if ( !isAdmin || !StudyNotes.deleteNote( study, noteId, is.regID ) ) {
%>
	<H1>Deleting note failed.</H1>
<%
			return;
		}
		if ( vsId != null && vsId.length() > 0 ) {
			ViewSessionProps vsp = ViewSessionProps.readVSP( vsId );
			vsp.getStudyState( study ).delNote( noteId );
			vsp.saveVSP();
		}
		noteId = null;
		refreshParent = true;
	}
	if ( refreshParent ) {
		out.println( Action.SCRIPT_HEAD );
%>
	parent.checkNotes(<%= "add".equals( oper ) %>);
<%
		out.println(Action.SCRIPT_TAIL);
		return;
	}
	if ( noteId == null || noteId.length() == 0 ) {
%>
	<H1>The required parameter "noteId" is missing/empty.</H1>
<%
		return;
	}
%>
<html><head>
<%
	TabBean.writeStyleOnly( is ); 
	JSHelper.printJsInclude( out, JSHelper.TABLESCRIPTS_JS );
%>
</head>
<body class=dark><center>
<%
	if ( "new".equals( noteId ) ) {
%>
	<form method=post name="newNote" action="notes.jsp">
		<table>
			<tr><td>
				<textarea name="text" rows="4" cols="50"></textarea>
			</td></tr>
			<tr><td valign=right>
				<%=JSHelper.getJsButtonLink( is, "self.document.newNote.submit();", "saveButton", 0, 0, LocalizedMessage.getSimpleMessage( "ALT_TEXT_SAVE" ) ) %>
				<input type=hidden name="cOp" value="add">
				<input type=hidden name="study" value="<%=study%>">
			</td></tr>
		</table>
	</form>
<%
	}
	else {
		Note note = StudyNotes.getNote( study, noteId );
		if ( note == null ) {
			%>
			<H1>The requested note was not found.</H1>
			<%
			return;
		}
		String dtDisp = ( (IMTypeDA_TM) IMType.getTypeFor( "DA_TM" ) ).displayTextFromTypes( 
				Helper.longToDate( note.getTimestamp().getTime() ), Helper.longToTime( note.getTimestamp().getTime() ) );
		%>
	<table>
		<tr><td>
		<%= LocalizedMessage.getCompoundMessage( "PATIENTFOLDER_NOTE_TITLE", new Format[]{ null }, 
				new Object[]{ IMTypePN.displayOrdinaryText( note.getUserName() ), note.getUserId(), dtDisp }, false ) %>
			<table border=1 width=100%><tr><td><%= Helper.htmlEncode( note.getText() ) %></td></tr></table>
		</td></tr>
<%if ( isAdmin ) {%>
		<tr><td valign=right>
			<%=Action.SCRIPT_HEAD %>
				function delNote() {
					if (confirm("<%= LocalizedMessage.getSimpleMessage( "PATIENTFOLDER_DELETE_NOTE_CONFIRM" )%>")) {
						location.href="notes.jsp?cOp=delete&study=<%=Helper.URLEncodeUTF8( study ) %>&noteId=<%=Helper.URLEncodeUTF8( noteId )%>";
					}
				}
			<%=Action.SCRIPT_TAIL %>
			<a href="javascript:delNote()"><%=JSHelper.getJsButton( is, "/art/b/deletenote.png", LocalizedMessage.getSimpleMessage( "PATIENTFOLDER_DELETE_NOTE" ) ) %></a>
		</td></tr>
<%}%>		
	</table>
<%
	}
%>
</center></body></html>