<%--
 * Component: cases
 *
 * Description:
 *    Download user profile for the viewer.
 *
 * Last Updated     : $Author$
 * Update Date Time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
--%><%@
	page import="imagemed.util.*,java.io.*,java.sql.*, imagemed.imsession.*,java.util.*, imagemed.jsputil.*"

%><%@
	page errorPage ="../../main/exceptionHandler.jsp"

%><%
	IMSession is = new IMSession( request, response, out ); 
	String strResponse = "ERROR: invalid session"; 
	String strRegCookie = is.COOKIE.getProperty( "sessionid" );

	if ( is.regOK() ) {
		String profile = request.getParameter( "PROFILE" );
		// we don't handle the USERNAME parameter, because it's a security hole

		if( profile != null ) {
			strResponse = ViewerProfileManager.writeUserProfileXML( is, "profile.xml", profile );
		}
		else {
			strResponse = "ERROR: no PROFILE parameter"; 
		}
	}
	else {
		response.sendError( 403, strResponse );
		return;
	}

	response.setContentType( "text/plain" );
	response.setHeader( "Pragma","no-cache" );
		
	out.println( "# SessionID: " + strRegCookie );
	out.println( "# Profile: " + strResponse );
	
	if ( true ) {
		// For avoiding extra newline(s)
		return;
	}
%>